Home | About | Sematext search-lucene.com search-hadoop.com
 Search Hadoop and all its subprojects:

Switch to Threaded View
MapReduce, mail # user - problem with hadoop-snappy


Copy link to this message
-
Re: problem with hadoop-snappy
Binglin Chang 2012-11-07, 01:34
Have you installed snappy library (which should have libsnappy.so in
/usr/lib or /usr/local/lib) first?

On Wed, Nov 7, 2012 at 5:30 AM, <[EMAIL PROTECTED]> wrote:

> When I used hadoop-1.0.4  without the installation of hadoop-snappy I sawin the logs
>
>  WARN snappy.LoadSnappy: Snappy native library not loaded
>
> So, it was my understanding that snappy is not included with
> hadoop-1.0.4. After removing the libs I installed, I see again the same
> warning.
>
> Any ideas how to fix this issue?
>
> Thanks.
> Alex.
>
>
>
>
>  -----Original Message-----
> From: Binglin Chang <[EMAIL PROTECTED]>
> To: user <[EMAIL PROTECTED]>
> Sent: Mon, Nov 5, 2012 6:07 pm
> Subject: Re: problem with hadoop-snappy
>
>  I think hadoop-1.0.4 already have snappy included, you should not using
> other third party libraries.
>
>
>
>  On Tue, Nov 6, 2012 at 9:10 AM, <[EMAIL PROTECTED]> wrote:
>
>> Hello,
>>
>> I use hadoop-1.0.4  I have followed  instruction to install hadoop-snappy
>> at
>> http://code.google.com/p/hadoop-snappy/
>>
>> When I run a mapred job I see
>>
>> FATAL org.apache.hadoop.mapred.TaskTracker: Task:
>> attempt_201211051656_0002_m_000000_3 - Killed :
>> org.apache.hadoop.io.compress.snappy.SnappyCompressor.compressBytesDirect()I
>>
>> in task tracker log and the job fails.
>>
>> Any ideas how to fix this issue.
>>
>> Thanks in advance.
>> Alex.
>>
>>
>